Bug 255606

Summary: devel/py-python-gist: Requires www/py-requests >=2.25.1 ; Update 0.10.3 -> 0.10.4
Product: Ports & Packages Reporter: Yuri Victorovich <yuri>
Component: Individual Port(s)Assignee: Yuri Victorovich <yuri>
Status: Closed FIXED    
Severity: Affects Only Me CC: koobs, t.m.guymer
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on: 250941, 256058    
Bug Blocks:    
Attachments:
Description Flags
patch
none
patch none

Description Yuri Victorovich freebsd_committer 2021-05-05 04:29:15 UTC
Created attachment 224676 [details]
patch
Comment 1 Thomas Guymer 2021-05-21 16:49:47 UTC
Hi,

It also requires "python-gnupg" >=0.4.7, see the below traceback:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (python-gnupg 0.4.5 (/usr/local/lib/python3.8/site-packages), Requirement.parse('python-gnupg<0.5.0,>=0.4.7'), {'python-gist'})

... is there any chance that the patch could be further modified to reflect this runtime check?

Thanks

Tom
Comment 2 Yuri Victorovich freebsd_committer 2021-05-21 17:27:41 UTC
Created attachment 225155 [details]
patch

Updated, thanks!
Comment 3 Yuri Victorovich freebsd_committer 2021-05-25 07:07:03 UTC
Committed.
Comment 4 commit-hook freebsd_committer 2021-05-25 07:07:38 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=62e26ec3ddf5f6f874e2ad485338fe5225d80164

commit 62e26ec3ddf5f6f874e2ad485338fe5225d80164
Author:     Yuri Victorovich <yuri@FreeBSD.org>
AuthorDate: 2021-05-25 07:04:50 +0000
Commit:     Yuri Victorovich <yuri@FreeBSD.org>
CommitDate: 2021-05-25 07:07:07 +0000

    devel/py-python-gist: Update 0.10.3 -> 0.10.4

    PR:             255606

 devel/py-python-gist/Makefile | 6 +++---
 devel/py-python-gist/distinfo | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)
Comment 5 Thomas Guymer 2021-05-25 07:48:29 UTC
Thanks for closing/fixing this bug, I appreciate it.
Comment 6 Yuri Victorovich freebsd_committer 2021-05-25 08:04:43 UTC
(In reply to Thomas Guymer from comment #5)

You're welcome!